%global modname bluepy

%global _description %{expand:
Python interface to Bluetooth LE on Linux.
This is a project to provide an API to allow
access to Bluetooth Low Energy devices from Python.}

Name:           python-%{modname}
Version:        1.3.0
Release:        1%{?dist}
Summary:        Python interface to Bluetooth LE

License:        Public Domain and GPLv2
URL:            https://github.com/IanHarvey/%{modname}
Source0:        https://github.com/IanHarvey/%{modname}/archive/v/%{version}.tar.gz

%{?python_enable_dependency_generator}

%description %_description

%package -n python3-%{modname}
Summary:        %{summary}
BuildRequires:  python3-devel make gcc
BuildRequires:  glib2-devel
BuildRequires:  %{py3_dist setuptools}
BuildRequires:  %{py3_dist sphinx}
%{?python_provide:%python_provide python3-%{modname}}

%description -n python3-%{modname} %_description

%prep
%autosetup -n %{modname}-v-%{version}
rm -rf %{modname}.egg-info
find . -type f -name "*.py" -exec sed -i '/^#![  ]*\/usr\/bin\/env.*$/ d' {} 2>/dev/null ';'

%build
%py3_build
export PYTHONPATH=../
make -C docs SPHINXBUILD=sphinx-build-3 html
rm -rf docs/_build/html/{.doctrees,.buildinfo,.nojekyll} -vf

%install
%py3_install

%files -n python3-%{modname}
%{python3_sitelib}/%{modname}/*
%{python3_sitelib}/%{modname}-*.egg-info/
%{_bindir}/blescan
%{_bindir}/sensortag
%{_bindir}/thingy52
%license LICENSE.txt
%doc README README.md
%doc docs/_build/html

%changelog
* Wed Oct 16 2019 Alessio <alciregi AT fedoraproject DOT org> - 1.3.0-1
- Initial package
